WordPress.org

Ready to get started?Download WordPress

Forums

An Unexpected HTTP Error - to be fixed (4 posts)

  1. ysyh
    Member
    Posted 2 years ago #

    My wordpress dashboard is not working properly.

    When I try to search for plugins (under "Install plugin"), it says "An Unexpected HTTP Error occurred during the API request."
    I also suspect that this problem causes some plugins to fail (some plugins that I install behaved weirdly, like showing blank).

    I've tried the common troubleshooting, like deactivating all the plugins and use the default theme, and installing wordpress again, but the problem persists.

    Here is some information:
    Server info: Apache/2.23 CentOS
    Php version: 5.33

    And when I turn on "Debug mode", this is what is said on the top of every page:
    "Notice: get_settings is deprecated since version 2.1! Use get_option() instead. in /home/comman/www/new/wp-includes/functions.php on line 3467

    Notice: get_settings is deprecated since version 2.1! Use get_option() instead. in /home/comman/www/new/wp-includes/functions.php on line 3467

    Notice: get_settings is deprecated since version 2.1! Use get_option() instead. in /home/comman/www/new/wp-includes/functions.php on line 3467

    Notice: get_settings is deprecated since version 2.1! Use get_option() instead. in /home/comman/www/new/wp-includes/functions.php on line 3467

    Notice: wp_enqueue_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or init hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home/comman/www/new/wp-includes/functions.php on line 3587

    Notice: load_plugin_textdomain was called with an argument that is deprecated since version 2.7 with no alternative available. in /home/comman/www/new/wp-includes/functions.php on line 3553"

    What can I do to fix this issue? I would deeply appreciate your help, thanks in advance!

  2. cellfanatic
    Member
    Posted 2 years ago #

    I'm having the same issue with all of my sites. I only upgraded a single site to WP site today, but it's affecting all four sites.

    An Unexpected HTTP Error occurred during the API request.

    If anyone has a fix let's get this sorted ASAP. Thanks.

  3. jjprince
    Member
    Posted 2 years ago #

    This one had me stumped... I had 4 new sites on a VM... at first I thought it a routing issue with an invalid default gateway... no! Simpler... WRONG DNS SERVER! Simple fix!

  4. 420DankStank
    Member
    Posted 1 year ago #

    You have an old plugin or theme or both. I'm having the same problems. You can see some of my fixes on http://wordpress.org/support/topic/custom-plugin-fatal-errors?replies=12

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags